#ifndef CUBE_TOUCH_H
#define CUBE_TOUCH_H

    
/* CUBE TOUCH FIELDS */

#define TOUCH0 (0x0001)
#define TOUCH1 (0x0002)
#define TOUCH2 (0x0004)
#define TOUCH3 (0x0008)
#define TOUCH4 (0x0010)
#define TOUCH5 (0x0020)
#define TOUCH6 (0x0040)
#define TOUCH7 (0x0080)
#define TOUCH8 (0x0100)
    
    
/* CUBE center click touch states */
    
typedef enum enTouchStateCenter_t 
{
    TOUCH_CENTER_IDLE = 0,
    TOUCH_CENTER_CLICK_ON,
    TOUCH_CENTER_CLICK_OFF,
    TOUCH_CENTER_CLICK_DONE
} enTouchStateCenter_t;

/* CUBE move touch states */

typedef enum enTouchState_t 
{
    TOUCH_IDLE = 0u,
    TOUCH_001,
    TOUCH_001_002,
    TOUCH_001_020,
    
    TOUCH_002,
    TOUCH_002_010,
        
    TOUCH_004,
    TOUCH_004_002,
    TOUCH_004_008,
    
    TOUCH_008,
    TOUCH_008_010,
        
    TOUCH_020,
    TOUCH_020_010,
       
    TOUCH_040,
    TOUCH_040_020,
    TOUCH_040_080,
    
    TOUCH_080,
    TOUCH_080_010,
    
    TOUCH_100,
    TOUCH_100_008,
    TOUCH_100_080,
    
} enTouchState_t;

//
//typedef enum enTouchState00_t 
//{
//    TOUCH00_IDLE = 0u,
//    TOUCH00,
//    TOUCH00_01,
//    TOUCH00_05,
//    TOUCH00_01_02,
//    TOUCH00_05_06,
//} enTouchState00_t;
//
//typedef enum enTouchState01_t 
//{
//    TOUCH01_IDLE = 0u,
//    TOUCH01,
//    TOUCH01_04,
//    TOUCH01_04_07,
//} enTouchState01_t;
//
//typedef enum enTouchState02_t 
//{
//    TOUCH02_IDLE = 0u,
//    TOUCH02,
//    TOUCH02_01,
//    TOUCH02_03,
//    TOUCH02_01_00,
//    TOUCH02_03_08,
//} enTouchState02_t;
//    
//typedef enum enTouchState03_t 
//{
//    TOUCH03_IDLE = 0u,
//    TOUCH03,
//    TOUCH03_04,
//    TOUCH03_04_05,
//} enTouchState03_t;
//
//typedef enum enTouchState05_t 
//{
//    TOUCH05_IDLE = 0u,
//    TOUCH05,
//    TOUCH05_04,
//    TOUCH05_04_03,
//} enTouchState05_t;
//
//typedef enum enTouchState06_t 
//{
//    TOUCH06_IDLE = 0u,
//    TOUCH06,
//    TOUCH06_05,
//    TOUCH06_07,
//    TOUCH06_06_00,
//    TOUCH06_07_08,
//} enTouchState06_t;
//
//typedef enum enTouchState07_t 
//{
//    TOUCH07_IDLE = 0u,
//    TOUCH07,
//    TOUCH07_04,
//    TOUCH07_04_01,
//} enTouchState07_t;
//
//typedef enum enTouchState08_t 
//{
//    TOUCH08_IDLE = 0u,
//    TOUCH08,
//    TOUCH08_03,
//    TOUCH08_07,    
//    TOUCH08_03_02,
//    TOUCH08_07_06,
//} enTouchState08_t;

#endif /* CUBE_TOUCH_H */
